This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 751707 - Eclipse lost Java perspective after update
Eclipse lost Java perspective after update
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sami Wagiaalla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-07 04:05 EST by Artemy Kapitula, RCNTEC Ltd
Modified: 2016-06-07 18:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-08 00:00:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Eclipse "Perspectives" preferences (70.05 KB, image/png)
2011-11-07 04:05 EST, Artemy Kapitula, RCNTEC Ltd
no flags Details

  None (edit)
Description Artemy Kapitula, RCNTEC Ltd 2011-11-07 04:05:26 EST
Created attachment 531993 [details]
Eclipse "Perspectives" preferences

Description of problem:

After update from Fedora 15 to Fedora 16, Eclipse "lost" Java perspective

Version-Release number of selected component (if applicable):

$ rpm -qa| grep eclipse
tomcat5-jasper-eclipse-5.5.31-3.fc15.noarch
eclipse-jdt-3.7.0-1.3.fc16.x86_64
eclipse-platform-3.7.0-1.3.fc16.x86_64
eclipse-swt-3.7.0-1.3.fc16.x86_64
eclipse-rcp-3.7.0-1.3.fc16.x86_64
icu4j-eclipse-4.4.2-2.fc16.x86_64

Actual results:

No Java perspective

Expected results:

Java perspective needs to be in a list
Comment 1 Alexander Kurtakov 2011-11-07 04:17:12 EST
Sami, 
I bet this is another dropins issue. Please take a look.
Comment 2 Artemy Kapitula, RCNTEC Ltd 2011-11-08 00:00:07 EST
That was a my mistake.

I just tested /usr/lib64/eclipse with rpm:
  rpm -qf `find /usr/lib64/eclipse -type f` 2>&1 | grep not
and found lots of files not owned by any package.

After removal them all Eclipse is now working right.
Comment 3 Sami Wagiaalla 2011-11-08 09:47:19 EST
My favourite kind of bug is one that closes itself :)
I am glad that fixed it for you although in my reproducer that does not seem to work:

$ rpm -qf `find /usr/lib64/eclipse -type f` | sort | uniq
eclipse-jdt-3.7.0-1.3.fc16.x86_64
eclipse-platform-3.7.0-1.3.fc16.x86_64
eclipse-rcp-3.7.0-1.3.fc16.x86_64
eclipse-swt-3.7.0-1.3.fc16.x86_64
icu4j-eclipse-4.4.2-2.fc16.x86_64

There are no orphaned files.

I'll continue to look at my reproducer.
Thanks for the feedback!

Note You need to log in before you can comment on or make changes to this bug.